# Method System.getgrent()

Method getgrent

  ``array`(`int`|`string`|`array`(`string`)) getgrent()`

Description

  Get a group entry from /etc/groups file. getgrent interates thru the groups source and returns one entry per call using the systemfunction `getgrent(3)`.

  Always call endgrent when done using getgrent!

Returns

  An array with the information about the group

  Array
  ``string` `0`` | Group name
  ``string` `1`` | Group password (encrypted)
  ``int` `2`` | ID of the group
  ``array` `3..`` | Array with UIDs of group members

See also

  get_all_groups() getgrnam() getgrgid()